Search documentation of ExStreamClient

# ExStreamClient.Model.FrameRecordingSettingsResponse (ExStreamClient v0.1.10)

View Source

Schema representing a FrameRecordingSettingsResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.FrameRecordingSettingsResponse{
      capture_interval_in_seconds: integer(),
      mode: :"auto-on" | :disabled | :available,
      quality: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()